<?php

namespace App\Utils;

class TransporteUtils
{
    public const COSTO_TRANSPORTE = 15;
    public const DIVISOR_TRANSPORTE = 500;
    
    private static function cantidad(float $total) : int {
        if ($total)
            return 1 + floor($total / TransporteUtils::DIVISOR_TRANSPORTE);
        return 0;
    }

    public static function calcularTotal(float $total) : int {
        return TransporteUtils::cantidad($total) * TransporteUtils::COSTO_TRANSPORTE;
    }
}
